package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.DALogMapper;
import com.sa.ibiz.demo.demo.domain.DALog;
import com.sa.ibiz.demo.demo.service.DALogService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.DALogSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[DALog] 服务对象接口实现
 */
@Service
public class DALogServiceImpl extends ServiceImplBase<DALogMapper, DALog> implements DALogService{


    @Resource
    private DALogMapper dalogMapper;


    @Override
    public boolean create(DALog et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(DALog et){
        this.beforeUpdate(et);
		this.dalogMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(DALog et){
		return et.getDalog_id();  
    }

    @Override
    public boolean getDraft(DALog et)  {
            return true;
    }

	public List<DALog> listDefault(DALogSearchFilter filter) {
		return dalogMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<DALog> searchDefault(DALogSearchFilter filter) {
		return dalogMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return dalogMapper.selectRow(sql);
    }

 }